Bug 19068 - Add rel="edit" to list of defined types
Add rel="edit" to list of defined types
Status: RESOLVED REMIND
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 22:23 UTC by contributor
Modified: 2013-01-30 07:56 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:23:22 UTC
This was was cloned from bug 8735 as part of operation REMIND convergence.
Originally filed: 2010-01-14 00:21:00 +0000
Original reporter: Aryeh Gregor <ayg@aryeh.name>

================================================================================
 #1   Aryeh Gregor                                    2010-01-14 00:28:41 +0000 
--------------------------------------------------------------------------------
Hit Commit too soon:

rel="edit" indicates a link that can be used to edit the current resource, e.g., if it's a wiki.  It's been proposed by the Universal Edit Button project <http://universaleditbutton.org/>.  That documents a number of sites using either rel="edit", or the older poorly-conceived <link rel="alternate" type="application/x-wiki">:

http://universaleditbutton.org/Universal_Edit_Button#Sites_with_Universal_Editing_Button

Users of rel="edit" include MediaWiki, and therefore Wikipedia.  As far as implementation goes, there are extensions written for Firefox, Opera, and Chrome.  It seems like potentially useful semantics, although only for a fairly narrow class of sites (wikis and CMSes).  I'm pretty sure the level of implementation and deployment exceeds some currently specced rel values, like tag, so I don't see why this shouldn't be in the spec.  Are there any specific standards you'd like to see that this doesn't meet?
================================================================================
 #2   Ian 'Hixie' Hickson                             2010-02-13 02:28:26 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: I'm punting on this for now not because I disagree with the proposal, but because I'd like to see what happens with the rel registry before adding more rel values. It might be that the best way forward is to move all the values with no UA conformance criteria out of the spec and into the registry, rather than having this weird class structure where some types are honoured by being in the spec and others are ghettoised by being in the wiki.
================================================================================
 #3   Ian 'Hixie' Hickson                             2011-05-10 00:56:09 +0000 
--------------------------------------------------------------------------------
Is there a spec for this? Is it just a regular hyperlink <link> that points to a page that edits the current page, or is there more to it? e.g. can be it be a javascript: URL? Can it be used on <a>?
================================================================================
 #4   Ian 'Hixie' Hickson                             2011-05-10 00:59:42 +0000 
--------------------------------------------------------------------------------
http://universaleditbutton.org/Add_The_Link suggests the Universal Edit Button project is still pushing the older poorly-conceived <link rel="alternate" type="application/x-wiki">, is that wrong? Where is the equivalent page for rel=edit that Wikipedia implements?
================================================================================
 #5   Aryeh Gregor                                    2011-05-11 20:49:24 +0000 
--------------------------------------------------------------------------------
There is no spec that I'm aware of, nor am I aware of any users.  MediaWiki will output it by default.  My primary motivation for asking for this was that I'd like to get rid of the rel="alternate" nonsense, which MediaWiki also outputs by default.  I hoped that having it someplace official-looking would help.

The semantics should be that the given URL can be used to edit the contents of the current page.  I don't see that javascript: should be any different from other schemes.  It should be allowed on <a> as well, so that it wastes less space.

However, if the idea is that the spec should only contain values that are established and implemented, this bug should probably be closed WONTFIX or LATER or such, since this isn't (AFAIK).  If I had the time and inclination, I'd write a spec and try to get it supported in the Firefox extension and such, but I don't.
================================================================================
 #6   Ian 'Hixie' Hickson                             2011-05-11 22:48:14 +0000 
--------------------------------------------------------------------------------
A spec seems easy to write: "If there is a <link> element with the link type "edit", then the URL of the first such <link> element gives the page the user is intended to use to edit the contents of the page."

I would say it shouldn't apply to <a> because it is much more work to scan every <a> than to just scan the <link> elements.

My recommendation would be to add a wiki page to the universaleditbutton.org wiki that describes the above, then remove the current page that talks about the weird MIME type (since that's clearly bogus, the page doesn't have that MIME type at all), and register "edit" on the current registry.

Finally, document implementations (as in, consumers) and usage (as in, producers) that use this feature, and detail their usage numbers.

I'll mark this REMIND for now. Please feel free to reopen if there is evidence that this is getting traction. If it doesn't get traction in due course, I'll eventually WONTFIX it instead.


EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: see above
================================================================================